# SportyDataGen -- Generator of Endurance Sports Activity Collections (datasets)

## About

SportyDataGen Library is a Python library designed to work with sport GPX and TCX files. It allows users to easily convert these file types into CSV format, extract feature data, and return random data based on specified conditions.

It aims to help researchers to create datasets for machine learning and data mining applications.

## Features
* Conversion of GPX and TCX files to CSV format
* Extraction of feature data from sport files, including GPS coordinates, ascent, heart rate, distance and more
* Merge of multiple csv files into a single dataset
* Random selection of data based on the number of rows, percentage of rows in a file or custom conditions
* Integration with Python scripts to provide an efficient data processing pipeline

## Reference Papers:

Ideas are based on the following research papers:

[1] Fister, I., Jr.; Vrbančič, G.; Brezočnik, L.; Podgorelec, V.; Fister, I. [SportyDataGen: An Online Generator of Endurance Sports Activity Collections](https://www.iztok-jr-fister.eu/static/publications/225.pdf). In Proceedings of the Central European Conference on Information and Intelligent Systems, Varaždin, Croatia, 19–21 September 2018; pp. 171–178.

## License

This package is distributed under the MIT License. This license can be found online at <http://www.opensource.org/licenses/MIT>.

## Disclaimer

This framework is provided as-is, and there are no guarantees that it fits your purposes or that it is bug-free. Use it at your own risk!

